> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpertai.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 读取运行状态

> 读取执行状态及 metadata.agentRun 详情；执行出错时可在其中查看错误信息。



## OpenAPI

````yaml /api/openapi.sdk.zh-Hans.json get /api/ai/threads/{thread_id}/runs/{run_id}
openapi: 3.0.3
info:
  title: XpertAI SDK HTTP 接口
  version: 1.0.0
  description: >-
    SDK 指南使用的当前 HTTP 接口。使用服务端 API Key，通过 Authorization: Bearer <API_KEY> 或
    x-api-key 鉴权，不依赖 ChatKit。本参考覆盖指南中的案例，不代表 SDK 导出的所有方法都已实现；使用其他字段前请核对部署支持情况。
servers:
  - url: https://api.xpertai.cn
    description: XpertAI API，私有部署请替换为自己的 API 服务地址。
security:
  - ApiKeyBearer: []
  - ApiKeyHeader: []
tags:
  - name: Assistants
  - name: Threads
  - name: Runs
  - name: Contexts
  - name: Store
paths:
  /api/ai/threads/{thread_id}/runs/{run_id}:
    get:
      tags:
        - Runs
      summary: 读取运行状态
      description: 读取执行状态及 metadata.agentRun 详情；执行出错时可在其中查看错误信息。
      operationId: get_run
      parameters:
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
        - name: run_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 请求成功。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Run'
              example:
                run_id: 33333333-3333-4333-8333-333333333333
                thread_id: 11111111-1111-4111-8111-111111111111
                assistant_id: 22222222-2222-4222-8222-222222222222
                status: running
                created_at: '2026-10-12T00:00:00Z'
                updated_at: '2026-10-12T00:00:00Z'
                metadata: {}
        '400':
          description: 请求参数、标识关联或操作状态不正确。
        '401':
          description: 缺少 API Key 或 API Key 无效。
        '403':
          description: 调用方无权访问目标资源。
        '404':
          description: 资源不存在或对调用方不可用。
components:
  schemas:
    Run:
      type: object
      properties:
        run_id:
          type: string
        thread_id:
          type: string
        assistant_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        status:
          type: string
          description: 执行状态。应检查状态和 metadata.agentRun.error；HTTP 成功不等于任务成功。
        metadata:
          type: object
          properties:
            agentRun:
              type: object
              additionalProperties: true
          additionalProperties: true
      required:
        - run_id
        - thread_id
        - status
  securitySchemes:
    ApiKeyBearer:
      type: http
      scheme: bearer
      description: 服务端 API Key，不要暴露到浏览器代码中。
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.